@font-face {
    font-family: robot slab;
    src: url(../fonts/RobotoSlab-VariableFont_wght.ttf);
}
:root {  
    --color1: #193AFF;  
    --color2: #FFC819;  
    --color3: #4356BF;
    --color4: #AA934A;
    --color5: #4D5480;
    --color6: #555041;
    --white: white;
    --black:black;
    --cont:rgba(153, 153, 153, 0.322);
    --text: black;
    --header:rgba(118, 118, 118, 0.658);
    
  }
  .dark {
    --white: #000000;
    --black:#ffffff;
    --color3: black;
    background-color: #000000;
  
    --cont: rgba(0, 0, 0, 0.5);
    --text:white;
    --header:rgba(0, 0, 0, 0.614);
    
  }



.reverse{
    display: flex;
    flex-direction: column-reverse;
    
}

*{
    box-sizing: border-box;
    padding: 0;
    margin: 0;
    font-family: 'roboto slab',sans-serif;
    
}
header {
    background-color: var(--header) !important;
}






/*main section*/
.main{
    height: 800px;
    width: 100%;
    background-size: cover;
    background-image: url(../Imgs/mountains.jpg);
    display: flex;
    flex-direction: column;
    justify-content: start;
    align-items: center;
}
.main .container{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin-top: 150px;
    background-color: transparent !important;
    
    
}
.main h1{
    font-size: 80px;
    font-weight: bolder;
    
}
.main p{
    font-size: 30px;
}

.main .btn button{
    margin: 20px;
    width: 150px;
    height: 40px;
    background-color: rgba(0,0,0, 0.4);
    filter: blur(.1px);
    color: white;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.5);
}
.main button:hover{
    width: 155px;
    height: 45px;
    background-color: var(--color3);
    color: var(--color2);
    cursor: pointer;
}
/*Go to courses section*/
.courses{
    height: 400px;
    background-color: var(--white);
    background-image: url(../Imgs/bck/mountains\ \(2\).jpg);
    background-size: cover;
    
    margin-top: 40px;
    margin-bottom: 20px;
    
    
}
.courses .container{
    height: 100%;
    width: 100%;
    margin: auto;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    background-color: var(--cont);
    color: var(--text);
    padding: 20px;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.3);
    

}
.courses h3{
    font-size: 50px;
    font-weight: bolder;
    
}
.courses h4{
    font-size: 30px;
    font-weight: bold;
    
    
}
.courses button{
    margin: 40px 20px;
    width: 200px;
    height: 50px;
    background-color: var(--color2);
    filter: blur(.1px);
    color: var(--text);
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.5);
}
.courses button:hover{
    background-color: var(--color3);
    color: var(--color2);
    transform:scale(1.15);
    cursor: pointer;
}
/*features section*/
.features{
    height: 400px;
    background-color:  var(--white);
    margin: 20px 0;
}
.features .container{
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: row;
    background-image: url(../Imgs/bck/sea.jpg);
    background-size: cover;

}
.features .sec{
    margin: 20px 15px 20px;
    padding: 20px 60px;
    background-color: var(--cont);
    color: var(--text);
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    width: 90%;
    height: 80%;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.5);
}
.features i{
    font-size: 120px;
}
.features h3{
    margin-top: 20px;
    text-align: center;
    font-weight: bolder;
}
.features p{
    text-align: center;
    text-wrap:wrap;
    margin-top: 20px;
    font-weight: bold;
}
/*use section*/
.use{
    height: 400px;
    background-image: url(../Imgs/bck/yellow.jpg);
    background-size: cover;
    margin: 20px 0;
}
.use .container{
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: row;
    background-color: var(--cont);
    color: var(--text);
    padding: 20px;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.5);
    
}
.use .text{
    width: 50%;
    padding: 40px;
}
.use h3{
    font-size: 30px;
    font-weight: bolder;
}
.use p{
    margin-top: 20px;
    font-size: 20px;
}
/*bottom section*/
.bottom{
    height: 500px;
    background-color: var(--color3);
}
.bottom .container{
    padding-top: 50px;
    display: flex;
    align-items: start;
    justify-content: center;
    flex-direction: row;
    background-color: transparent !important;
}
.bottom .sec{
    width: 33%;
    color: #ffffff;
    margin: 10px 30px;
    
}
.bottom a{
    text-decoration: none;
    color: #ffffff;
    margin-bottom: 15px;
}
.bottom h4{
    margin-bottom: 20px;
}
.bottom hr{
    width: 30%;
}
.bottom p{
    margin-bottom: 15px;
}
.bottom img{
    border:  solid var(--black) 1px;
}
